html,
body {
    min-height: 100%;
}

body {
    background: $body-bg;
    color: $body-color;
}

body.overflow {
    overflow-x: hidden;
    overflow-y: hidden !important;
    -webkit-transition: overflow 0s;
    -moz-transition: overflow 0s;
    transition: overflow 0s;
    -webkit-transition-delay: 0.4s;
    -moz-transition-delay: 0.4s;
    transition-delay: 0.4s;
}

.center {
    text-align: center;
}

.overflow {
    overflow: hidden;
}


header h1 {
    -webkit-transform: translateY(calc(-50% - 65px));
    transform: translateY(calc(-50% - 65px));
    top: 50%;
    position: relative;
}

.content p:first-of-type {
    margin-top: 0px !important;
}

.content p {
    margin-top: 20px !important;
}

/* DEFAULT STYLES */
main{
    margin-top: 70px;
}
section,
footer {
    padding: 50px 0;
    @include media-breakpoint-up(lg) {
        padding: 90px 0;

        &.content-overlap {
            padding: 180px 0;
            margin-top: -240px;
        }
        &.content-overlap-last {
            padding: 180px 0 30px;
            margin-top: -280px;
        }
    }
}

footer {
    padding-bottom: 0 !important;

}

.spacing {
    padding: 30px 0;
    @include media-breakpoint-up(sm) {
        padding: 90px 0;
    }
}

.right {
    display: inline-block;
    @include media-breakpoint-up(md) {
        float: right;
    }
}

.title {
    display: inline-block;
    margin-bottom: 35px;
    width: 100%;
    @include media-breakpoint-up(xl) {
        margin-bottom: 50px;
    }
    h2 {
        display: block;
        @include media-breakpoint-up(lg) {
            display: inline-block;
        }
        span{
            display: block;
            background: none;
            @include media-breakpoint-up(lg) {
                line-height: 28px;
                padding-right: 20px;
                margin-right: 20px;
                border-right: 1px solid $black;
            }
        }
    }

    h3 {
        display: inline-block;
        line-height: 28px;
        margin-top: 5px;

    }
}

.content {
    margin-bottom: 30px;
    text-align: left;
    @include media-breakpoint-up(md) {
        text-align: inherit;
    }
}

img {
    max-height: 100%;
    max-width: 100%;
}

.divider {
    background: url('../../assets/images/wulpdal-divider.svg') no-repeat center;
    width: 50px;
    height: 30px;
    display: inline-block;
    margin-bottom: 25px;
    width: 100%;
}

.no-margin {
    margin-bottom: 0px !important;
}



/* BACKGROUNDS */
.bg-image-bottom {
    background-position: bottom;
    background-repeat: no-repeat;
    background-size: cover;
}

@media screen and (min-width: 1200px) { 
    .bg-image-bottom {
        background-position: center bottom -75px !important;
    }
}

@media screen and (min-width: 1600px) { 
    .bg-image-bottom {
        background-position: center bottom -120px !important;
    }
}

/* FORMS & MAPS */

input,
textarea {
    border-radius: 5px;
    border: 1px solid $grey-bg;
    font-size: 12px;
    color: $content;
    padding: 15px 15px;
    line-height: 20px;
    &:focus {
        outline: none;
    }
}

input {
    width: 100%;
    margin-bottom: 20px;
}

input[type=submit] {
    float: right;
    width: auto;
    font-family: 'josefin';
    text-transform: uppercase;
    letter-spacing: .5px;
    cursor: pointer;
}

.form .dark {
    input {
        background: $grey-bg;
    }
    input[type=submit] {
        float: right;
        width: auto;
        font-family: 'josefin';
        text-transform: uppercase;
        letter-spacing: .5px;
        cursor: pointer;
        border-color: $white;
        background: $white;
        color: $black;
    }
}

select {
    width: 100%;
    border-radius: 5px;
    border: 1px solid #333333;
    font-size: 12px;
    color: #9b9b9b;
    height: 50px;
    line-height: 20px;
    background-color: #FFF;
}

.row_margin {
    margin-bottom: 20px;
}

textarea {
    width: 100%;
}

textarea:placeholder {
    color: red;
}

::-webkit-input-placeholder {
    /* Chrome/Opera/Safari */
    color: $content;
}

::-moz-placeholder {
    /* Firefox 19+ */
    color: $content;
}

:-ms-input-placeholder {
    /* IE 10+ */
    color: $content;
}

:-moz-placeholder {
    /* Firefox 18- */
    color: $content;
}

.form .dark {
    ::-webkit-input-placeholder {
        /* Chrome/Opera/Safari */
        color: $white;
    }

    ::-moz-placeholder {
        /* Firefox 19+ */
        color: $white;
    }

    :-ms-input-placeholder {
        /* IE 10+ */
        color: $white;
    }

    :-moz-placeholder {
        /* Firefox 18- */
        color: $white;
    }
}

#map,
#map-route {
    min-height: 300px;
    width: 100%;
    height: 100%;
}




/* LIGHT BOX */
body .lg-backdrop, body .lg-outer{
    z-index: 9999999;
}